# std::pmr::polymorphic_allocator::select_on_container_copy_construction

From cppreference.com
< cpp‎ | memory‎ | polymorphic allocator

polymorphic_allocator select_on_container_copy_construction() const; |  | (since C++17)

Returns a default-constructed `polymorphic_allocator` object.

### Parameters

(none)

### Return value

A default-constructed `polymorphic_allocator` object.

### Notes

`polymorphic_allocator`s do not propagate on container copy construction.

### See also

select_on_container_copy_construction [static] | obtains the allocator to use after copying a standard container (public static member function of `std::allocator_traits`)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/polymorphic_allocator/select_on_container_copy_construction&oldid=84218"